{
  This file is an include file for the mouse function library.
  It consist of some mouse cursor shapes, defined as constants.
  All Microsoft Windows cursor shapes are included!!!
}

type
  GCursor = record
    Mask : array[0..31] of word;
    hotX,hotY  : integer;
  end;

const
  HAND:            GCursor =        { the hand-with-pointing-finger arrow }
                   (  Mask: ($F3FF,
                             $E1FF,
                             $E1FF,
                             $E1FF,
                             $E1FF,
                             $E049,
                             $E000,
                             $8000,
                             $0000,
                             $0000,
                             $07FC,
                             $07F8,
                             $9FF9,
                             $8FF1,
                             $C003,
                             $E007,

                             $0C00,
                             $1200,
                             $1200,
                             $1200,
                             $1200,
                             $13B6,
                             $1249,
                             $7249,
                             $9249,
                             $9001,
                             $9001,
                             $8001,
                             $4002,
                             $4002,
                             $2004,
                             $1FF8);

                      HotX:  $0004;
                      HotY:  $0000);

  SHIT:            GCursor =        { the hand-with-pointing-midfinger arrow }
                   (  Mask: ($FE7F,
                             $FDBF,
                             $FDBF,
                             $FDBF,
                             $FDBF,
                             $F189,
                             $E000,
                             $8000,
                             $0000,
                             $0000,
                             $07FC,
                             $07F8,
                             $9FF9,
                             $8FF1,
                             $C003,
                             $E007,

                             $0180,
                             $0240,
                             $0240,
                             $0240,
                             $0240,
                             $0E76,
                             $1249,
                             $7249,
                             $9249,
                             $9001,
                             $9001,
                             $8001,
                             $4002,
                             $4002,
                             $2004,
                             $1FF8);

                      HotX:  $0008;
                      HotY:  $0000);

{
  Here start the Microsoft Windows cursor shapes. Their names all start with
  MSW_, followed by the name of the cursor.
}

  MSW_ARROW:       GCursor =        { the standard MS Windows arrow }
                   (  Mask: ($9FFF, { 1001111111111111 }
                             $8FFF, { 1000111111111111 }
                             $87FF, { 1000011111111111 }
                             $83FF, { 1000001111111111 }
                             $81FF, { 1000000111111111 }
                             $80FF, { 1000000011111111 }
                             $807F, { 1000000001111111 }
                             $803F, { 1000000000111111 }
                             $801F, { 1000000000011111 }
                             $800F, { 1000000000001111 }
                             $80FF, { 1000000011111111 }
                             $887F, { 1000100001111111 }
                             $987F, { 1001100001111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FE3F, { 1111111000111111 }

                             $0000, { 0000000000000000 }
                             $2000, { 0010000000000000 }
                             $3000, { 0011000000000000 }
                             $3800, { 0011100000000000 }
                             $3C00, { 0011110000000000 }
                             $3E00, { 0011111000000000 }
                             $3F00, { 0011111100000000 }
                             $3F80, { 0011111110000000 }
                             $3FC0, { 0011111111000000 }
                             $3E00, { 0011111000000000 }
                             $3600, { 0011011000000000 }
                             $2300, { 0010001100000000 }
                             $0300, { 0000001100000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0000;
                      HotY:  $0000);

  MSW_IBEAM:       GCursor =        { the text-input-cursor shape }
                   (  Mask: ($E187, { 1110000110000111 }
                             $E007, { 1110000000000111 }
                             $E007, { 1110000000000111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $E007, { 1110000000000111 }
                             $E007, { 1110000000000111 }
                             $E187, { 1110000110000111 }

                             $0000, { 0000000000000000 }
                             $0E70, { 0000111001110000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0E70, { 0000111001110000 }
                             $0000) { 0000000000000000 } ;

                      HotX:   $0007;
                      HotY:   $0007);

  MSW_CROSS:       GCursor =        { the cross cursor shape }
                   (  Mask: ($FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }

                             $0000, { 0000000000000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $7FFE, { 0111111111111110 }
                             $7FFE, { 0111111111111110 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);

  MSW_ICON:        GCursor =        { the icon cursor shape }
                   (  Mask: ($FFFF, { 1111111111111111 }
                             $FFFF, { 1111111111111111 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $FFFF, { 1111111111111111 }
                             $FFFF, { 1111111111111111 }

                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $3FFC, { 0011111111111100 }
                             $3FFC, { 0011111111111100 }
                             $300C, { 0011000000001100 }
                             $300C, { 0011000000001100 }
                             $33CC, { 0011001111001100 }
                             $33CC, { 0011001111001100 }
                             $33CC, { 0011001111001100 }
                             $33CC, { 0011001111001100 }
                             $300C, { 0011000000001100 }
                             $300C, { 0011000000001100 }
                             $3FFC, { 0011111111111100 }
                             $3FFC, { 0011111111111100 }
                             $0000, { 0000000000000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);

  MSW_UPARROW:     GCursor =        { the pointing up arrow }
                   (  Mask: ($FE7F, { 1111111001111111 }
                             $FC3F, { 1111110000111111 }
                             $F81F, { 1111100000011111 }
                             $F00F, { 1111000000001111 }
                             $E007, { 1110000000000111 }
                             $C003, { 1100000000000011 }
                             $8001, { 1000000000000001 }
                             $8001, { 1000000000000001 }
                             $8001, { 1000000000000001 }
                             $F00F, { 1111000000001111 }
                             $F00F, { 1111000000001111 }
                             $F00F, { 1111000000001111 }
                             $F00F, { 1111000000001111 }
                             $F00F, { 1111000000001111 }
                             $F00F, { 1111000000001111 }
                             $F00F, { 1111000000001111 }

                             $0000, { 0000000000000000 }
                             $0180, { 0000000110000000 }
                             $03C0, { 0000001111000000 }
                             $07E0, { 0000011111100000 }
                             $0FF0, { 0000111111110000 }
                             $1FF8, { 0001111111111000 }
                             $3FFC, { 0011111111111100 }
                             $3FFC, { 0011111111111100 }
                             $07E0, { 0000011111100000 }
                             $07E0, { 0000011111100000 }
                             $07E0, { 0000011111100000 }
                             $07E0, { 0000011111100000 }
                             $07E0, { 0000011111100000 }
                             $07E0, { 0000011111100000 }
                             $07E0, { 0000011111100000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0001);

  MSW_SIZE:        GCursor =        { the four-way-pointing size-arrow }
                   (  Mask: ($FE7F, { 1111111001111111 }
                             $FC3F, { 1111110000111111 }
                             $F81F, { 1111100000011111 }
                             $F00F, { 1111000000001111 }
                             $E007, { 1110000000000111 }
                             $C423, { 1100010000100011 }
                             $8001, { 1000000000000001 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $8001, { 1000000000000001 }
                             $C423, { 1100010000100011 }
                             $E007, { 1110000000000111 }
                             $F00F, { 1111000000001111 }
                             $F81F, { 1111100000011111 }
                             $FC3F, { 1111110000111111 }
                             $FE7F, { 1111111001111111 }

                             $0000, { 0000000000000000 }
                             $0180, { 0000000110000000 }
                             $03C0, { 0000001111000000 }
                             $07E0, { 0000011111100000 }
                             $0180, { 0000000110000000 }
                             $1188, { 0001000110001000 }
                             $318C, { 0011000110001100 }
                             $7FFE, { 0111111111111110 }
                             $7FFE, { 0111111111111110 }
                             $318C, { 0011000110001100 }
                             $1188, { 0001000110001000 }
                             $0180, { 0000000110000000 }
                             $07E0, { 0000011111100000 }
                             $03C0, { 0000001111000000 }
                             $0180, { 0000000110000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);


  MSW_SIZEWE:      GCursor =        { resize vertical lines }
                   (  Mask: ($FFFF, { 1111111111111111 }
                             $FFFF, { 1111111111111111 }
                             $FFFF, { 1111111111111111 }
                             $F3CF, { 1111001111001111 }
                             $E3C7, { 1110001111000111 }
                             $C3C3, { 1100001111000011 }
                             $8001, { 1000000000000001 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $8001, { 1000000000000001 }
                             $C3C3, { 1100001111000011 }
                             $E3C7, { 1110001111000111 }
                             $F3CF, { 1111001111001111 }
                             $FFFF, { 1111111111111111 }
                             $FFFF, { 1111111111111111 }
                             $FFFF, { 1111111111111111 }

                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0810, { 0000100000010000 }
                             $1818, { 0001100000011000 }
                             $381C, { 0011100000011100 }
                             $7FFE, { 0111111111111110 }
                             $7FFE, { 0111111111111110 }
                             $381C, { 0011100000011100 }
                             $1818, { 0001100000011000 }
                             $0810, { 0000100000010000 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);

  MSW_SIZENS:      GCursor =        { resize horizontal lines }
                   (  Mask: ($FE7F, { 1111111001111111 }
                             $FC3F, { 1111110000111111 }
                             $F81F, { 1111100000011111 }
                             $F00F, { 1111000000001111 }
                             $E007, { 1110000000000111 }
                             $E007, { 1110000000000111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $FC3F, { 1111110000111111 }
                             $E007, { 1110000000000111 }
                             $E007, { 1110000000000111 }
                             $F00F, { 1111000000001111 }
                             $F81F, { 1111100000011111 }
                             $FC3F, { 1111110000111111 }
                             $FE7F, { 1111111001111111 }

                             $0000, { 0000000000000000 }
                             $0180, { 0000000110000000 }
                             $03C0, { 0000001111000000 }
                             $07E0, { 0000011111100000 }
                             $0FF0, { 0000111111110000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0180, { 0000000110000000 }
                             $0FF0, { 0000111111110000 }
                             $07E0, { 0000011111100000 }
                             $03C0, { 0000001111000000 }
                             $0180, { 0000000110000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);

  MSW_SIZENESW:    GCursor =        { resize right-up / left-down }
                   (  Mask: ($FFFF, { 1111111111111111 }
                             $F801, { 1111100000000001 }
                             $FC01, { 1111110000000001 }
                             $FE01, { 1111111000000001 }
                             $FF01, { 1111111100000001 }
                             $BF01, { 1011111100000001 }
                             $9E01, { 1001111000000001 }
                             $8C01, { 1000110000000001 }
                             $8031, { 1000000000110001 }
                             $8079, { 1000000001111001 }
                             $80FD, { 1000000011111101 }
                             $80FF, { 1000000011111111 }
                             $807F, { 1000000001111111 }
                             $803F, { 1000000000111111 }
                             $801F, { 1000000000011111 }
                             $FFFF, { 1111111111111111 }

                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $01FC, { 0000000111111100 }
                             $00FC, { 0000000011111100 }
                             $007C, { 0000000001111100 }
                             $007C, { 0000000001111100 }
                             $00FC, { 0000000011111100 }
                             $21CC, { 0010000111001100 }
                             $3384, { 0011001110000100 }
                             $3F00, { 0011111100000000 }
                             $3E00, { 0011111000000000 }
                             $3E00, { 0011111000000000 }
                             $3F00, { 0011111100000000 }
                             $3F80, { 0011111110000000 }
                             $0000, { 0000000000000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);

  MSW_SIZENWSE:    GCursor =        { resize right-down / left-up }
                   (  Mask: ($FFFF, { 1111111111111111 }
                             $801F, { 1000000000011111 }
                             $803F, { 1000000000111111 }
                             $807F, { 1000000001111111 }
                             $80FF, { 1000000011111111 }
                             $80FD, { 1000000011111101 }
                             $8079, { 1000000001111001 }
                             $8031, { 1000000000110001 }
                             $8C01, { 1000110000000001 }
                             $9E01, { 1001111000000001 }
                             $BF01, { 1011111100000001 }
                             $FF01, { 1111111100000001 }
                             $FE01, { 1111111000000001 }
                             $FC01, { 1111110000000001 }
                             $F801, { 1111100000000001 }
                             $FFFF, { 1111111111111111 }

                             $0000, { 0000000000000000 }
                             $0000, { 0000000000000000 }
                             $3F80, { 0011111110000000 }
                             $3F00, { 0011111100000000 }
                             $3E00, { 0011111000000000 }
                             $3E00, { 0011111000000000 }
                             $3F00, { 0011111100000000 }
                             $3384, { 0011001110000100 }
                             $21CC, { 0010000111001100 }
                             $00FC, { 0000000011111100 }
                             $007C, { 0000000001111100 }
                             $007C, { 0000000001111100 }
                             $00FC, { 0000000011111100 }
                             $01FC, { 0000000111111100 }
                             $0000, { 0000000000000000 }
                             $0000) { 0000000000000000 } ;

                      HotX:  $0007;
                      HotY:  $0007);

  MSW_WAIT:        GCursor =        { the hourglass cursor shape }
                   (  Mask: ($8001, { 1000000000000001 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $E007, { 1110000000000111 }
                             $F00F, { 1111000000001111 }
                             $F81F, { 1111100000011111 }
                             $F81F, { 1111100000011111 }
                             $F00F, { 1111000000001111 }
                             $E007, { 1110000000000111 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $C003, { 1100000000000011 }
                             $8001, { 1000000000000001 }

                             $7FFE, { 0111111111111110 }
                             $2004, { 0010000000000100 }
                             $2004, { 0010000000000100 }
                             $2004, { 0010000000000100 }
                             $2664, { 0010011001100100 }
                             $13C8, { 0001001111001000 }
                             $0990, { 0000100110010000 }
                             $0420, { 0000010000100000 }
                             $0420, { 0000010000100000 }
                             $0990, { 0000100110010000 }
                             $13C8, { 0001001111001000 }
                             $27E4, { 0010011111100100 }
                             $2FF4, { 0010111111110100 }
                             $2FF4, { 0010111111110100 }
                             $2004, { 0010000000000100 }
                             $7FFE) { 0111111111111110 } ;

                      HotX:  $0001;
                      HotY:  $0001);
